'use strict';

module.exports = {
  ecmaFeatures: {
    // enable arrow functions
    arrowFunctions: true,
    // enable binary literals
    binaryLiterals: true,
    // enable let and const (aka block bindings)
    blockBindings: true,
    // enable classes
    classes: true,
    // enable default function parameters
    defaultParams: true,
    // enable destructuring
    destructuring: true,
    // enable for-of loops
    forOf: true,
    // enable generators
    generators: true,
    // enable modules and global strict mode
    modules: true,
    // enable computed object literal property names
    objectLiteralComputedProperties: true,
    // enable duplicate object literal properties in strict mode
    objectLiteralDuplicateProperties: false,
    // enable object literal shorthand methods
    objectLiteralShorthandMethods: true,
    // enable object literal shorthand properties
    objectLiteralShorthandProperties: true,
    // enable octal literals
    octalLiterals: false,
    // enable the regular expression u flag
    regexUFlag: true,
    // enable the regular expression y flag
    regexYFlag: true,
    // enable the rest parameters
    restParams: true,
    // enable the spread operator for arrays
    spread: true,
    // enable super references inside of functions
    superInFunctions: true,
    // enable template strings
    templateStrings: true,
    // enable code point escapes
    unicodeCodePointEscapes: true,
    // allow return statements in the global scope
    globalReturn: false,
    // enable JSX
    jsx: false,
  },
};
